View Issue Details

IDProjectCategoryView StatusLast Update
0000098Far Manager 1.7xMake Dirpublic2010-04-09 15:55
ReportersdindikovAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.75 
Summary0000098: неправильные сообщения при попытке создания папки/файла с запрещенными символами
DescriptionFAR2082

жмем F7 на панели
и пытаемся ввести один из этих символов
<>|"

в ответ получаем:
  +----- Предупреждение ------+
  | Неправильный список папок |
  | Продолжить |
  +---------------------------+

если нажать Shift-F4 и пытаемся ввести один из этих символов потом Enter,
диалог открытия файла пропадает молча никакого сообщения о ошибке нет.

с остальными запрещенными символами проблем нет \ / * ? :

тесты показали что сообщение изменилось с
+------- Ошибка --------+
| Указанное имя неверно |
| Ошибка создания папки |
| < |
| Продолжить |
+-----------------------+
для символов <>| в промежутке FAR 1.70.6.1682 и FAR 1.70.6.1771
для символа " в промежутке FAR b3 и b4

естественно и в FAR1.60 и далее с сообщениями всё OK.
TagsNo tags attached.
Build2627

Relationships

has duplicate 0000713 closed Far Manager Attempting to create a folder with an invalid name results in a message box that allows "retry" 

Activities

vskirdin

2010-04-03 11:51

administrator   bugnote:0005150

2.x = build 1478
1.x = build 2627

sdindikov

2010-04-04 12:55

developer   bugnote:0005157

вроде всё OK.

Issue History

Date Modified Username Field Change
2006-03-17 07:41 sdindikov New Issue
2006-04-04 10:56 vskirdin Project Far Manager 1.7x => @11@
2006-04-04 17:30 alexy Project @11@ => Far Manager 1.7x
2009-05-24 17:38 alexy Relationship added has duplicate 0000713
2010-04-03 11:44 vskirdin Status new => assigned
2010-04-03 11:44 vskirdin Assigned To => vskirdin
2010-04-03 11:51 vskirdin Note Added: 0005150
2010-04-03 11:51 vskirdin Status assigned => feedback
2010-04-04 12:55 sdindikov Note Added: 0005157
2010-04-04 12:55 sdindikov Status feedback => assigned
2010-04-04 12:55 sdindikov Status assigned => resolved
2010-04-09 15:55 alexy Build => 2627
2010-04-09 15:55 alexy Status resolved => closed
2010-04-09 15:55 alexy Resolution open => fixed
2010-04-09 15:55 alexy Fixed in Version => 1.75